Skip to content

Create paymentmethod

Request

Creates a new Paymentmethod record. Paymentmethod resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
commissionRatestring

Commission rate as a decimal fraction (e.g., '0.025' for 2.5%).

Example:"example"
extensionsobject

Vendor- or practice-specific extensions. Keys SHOULD be URIs or namespaced identifiers to avoid collisions.

isActivebooleanrequired

Whether this payment method is active and can be used.

Example:true
namestringrequired

Human-readable name of the payment method (e.g., Cash, Visa).

Example:"Example Name"
paymentMethodTypestring

High-level category of the payment method.

Enum:"cash""card""bankTransfer""check""online""other"
Example:"cash"
paymentmethodIdstring

Canonical identifier for the payment method.

Example:"123e4567-e89b-12d3-a456-426614174000"
surchargeobject

Configuration for any surcharge applied when using this payment method.

isUsingEftposTerminalboolean

Indicates if this payment method uses an EFTPOS/credit card terminal.

Example:true
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/paymentmethod' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "commissionRate": "example",
    "extensions": {},
    "isActive": true,
    "name": "Example Name",
    "paymentMethodType": "cash",
    "paymentmethodId": "123e4567-e89b-12d3-a456-426614174000",
    "surcharge": {},
    "isUsingEftposTerminal": true
  }'

Responses

Paymentmethod created successfully

Bodyapplication/json
commissionRatestringrequired

Commission rate as a decimal fraction (e.g., '0.025' for 2.5%).

Example:"example"
createdAtstring, (date-time)required

Timestamp when the payment method was created, in RFC 3339 format with timezone offset.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions. Keys SHOULD be URIs or namespaced identifiers to avoid collisions.

isActivebooleanrequired

Whether this payment method is active and can be used.

Example:true
namestringrequired

Human-readable name of the payment method (e.g., Cash, Visa).

Example:"Example Name"
paymentMethodTypestringrequired

High-level category of the payment method.

Enum:"cash""card""bankTransfer""check""online""other"
Example:"cash"
paymentmethodIdstringrequired

Canonical identifier for the payment method.

Example:"123e4567-e89b-12d3-a456-426614174000"
surchargeobjectrequired

Configuration for any surcharge applied when using this payment method.

updatedAtstring, (date-time)required

Timestamp when the payment method was last updated.

Example:"2025-01-01T00:00:00.000Z"
isUsingEftposTerminalbooleanrequired

Indicates if this payment method uses an EFTPOS/credit card terminal.

Example:true
Response
{ "commissionRate": "example", "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "isActive": true, "name": "Example Name", "paymentMethodType": "cash", "paymentmethodId": "123e4567-e89b-12d3-a456-426614174000", "surcharge": {}, "updatedAt": "2025-01-01T00:00:00.000Z", "isUsingEftposTerminal": true }